/**
 * This focus style is for showing a focused element within a composite component that
 * has an overall focus state. e.g. the calendar button in date-input
 */
/**
 * This focus style is for showing a disabled focused element within a composite component that
 * has an overall focus state. e.g. the calendar button in date-input
 */
/**
 * This is to reverse the focus effect, used in elements such as large check and card to removed the
 * focus effect from the inner element because it is shown in the container element
 * Usng a mixin to encapsulate implementation details 
 */
@starting-style {}

@starting-style {}

@starting-style {}

.tds-row {
  --tds-grid-gutter: var(--tds-container-margin, 1.5rem);
  display: flex;
  flex-wrap: wrap;
  margin-left: calc(var(--tds-grid-gutter) / -2);
  margin-right: calc(var(--tds-grid-gutter) / -2);
  row-gap: var(--tds-grid-gap-y, 0);
}
.tds-row--no-gutters {
  --tds-grid-gutter: 0;
  --tds-grid-gap-y: 0;
}
.tds-row--y-gap {
  --tds-grid-gap-y: 1.5rem;
}

.tds-col,
[class*=tds-col-] {
  flex: 0 0 auto;
  min-height: 1px;
  max-width: 100%;
  padding: 0 calc(var(--tds-grid-gutter) / 2);
  width: 100%;
}

.tds-col {
  flex: 1 0 0%;
}

.tds-col-auto {
  flex: 0 0 auto;
  width: auto;
}

.tds-col-1 {
  width: 8.3333333333%;
}

.tds-col-2 {
  width: 16.6666666667%;
}

.tds-col-3 {
  width: 25%;
}

.tds-col-4 {
  width: 33.3333333333%;
}

.tds-col-5 {
  width: 41.6666666667%;
}

.tds-col-6 {
  width: 50%;
}

.tds-col-7 {
  width: 58.3333333333%;
}

.tds-col-8 {
  width: 66.6666666667%;
}

.tds-col-9 {
  width: 75%;
}

.tds-col-10 {
  width: 83.3333333333%;
}

.tds-col-11 {
  width: 91.6666666667%;
}

.tds-col-12 {
  width: 100%;
}

@media (min-width: 25em) {
  .tds-col-sm {
    flex: 1 0 0%;
  }
  .tds-col-sm-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .tds-col-sm-1 {
    width: 8.3333333333%;
  }
  .tds-col-sm-2 {
    width: 16.6666666667%;
  }
  .tds-col-sm-3 {
    width: 25%;
  }
  .tds-col-sm-4 {
    width: 33.3333333333%;
  }
  .tds-col-sm-5 {
    width: 41.6666666667%;
  }
  .tds-col-sm-6 {
    width: 50%;
  }
  .tds-col-sm-7 {
    width: 58.3333333333%;
  }
  .tds-col-sm-8 {
    width: 66.6666666667%;
  }
  .tds-col-sm-9 {
    width: 75%;
  }
  .tds-col-sm-10 {
    width: 83.3333333333%;
  }
  .tds-col-sm-11 {
    width: 91.6666666667%;
  }
  .tds-col-sm-12 {
    width: 100%;
  }
}
@media (min-width: 36em) {
  .tds-col-md {
    flex: 1 0 0%;
  }
  .tds-col-md-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .tds-col-md-1 {
    width: 8.3333333333%;
  }
  .tds-col-md-2 {
    width: 16.6666666667%;
  }
  .tds-col-md-3 {
    width: 25%;
  }
  .tds-col-md-4 {
    width: 33.3333333333%;
  }
  .tds-col-md-5 {
    width: 41.6666666667%;
  }
  .tds-col-md-6 {
    width: 50%;
  }
  .tds-col-md-7 {
    width: 58.3333333333%;
  }
  .tds-col-md-8 {
    width: 66.6666666667%;
  }
  .tds-col-md-9 {
    width: 75%;
  }
  .tds-col-md-10 {
    width: 83.3333333333%;
  }
  .tds-col-md-11 {
    width: 91.6666666667%;
  }
  .tds-col-md-12 {
    width: 100%;
  }
}
@media (min-width: 50em) {
  .tds-col-lg {
    flex: 1 0 0%;
  }
  .tds-col-lg-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .tds-col-lg-1 {
    width: 8.3333333333%;
  }
  .tds-col-lg-2 {
    width: 16.6666666667%;
  }
  .tds-col-lg-3 {
    width: 25%;
  }
  .tds-col-lg-4 {
    width: 33.3333333333%;
  }
  .tds-col-lg-5 {
    width: 41.6666666667%;
  }
  .tds-col-lg-6 {
    width: 50%;
  }
  .tds-col-lg-7 {
    width: 58.3333333333%;
  }
  .tds-col-lg-8 {
    width: 66.6666666667%;
  }
  .tds-col-lg-9 {
    width: 75%;
  }
  .tds-col-lg-10 {
    width: 83.3333333333%;
  }
  .tds-col-lg-11 {
    width: 91.6666666667%;
  }
  .tds-col-lg-12 {
    width: 100%;
  }
}
@media (min-width: 64em) {
  .tds-col-xl {
    flex: 1 0 0%;
  }
  .tds-col-xl-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .tds-col-xl-1 {
    width: 8.3333333333%;
  }
  .tds-col-xl-2 {
    width: 16.6666666667%;
  }
  .tds-col-xl-3 {
    width: 25%;
  }
  .tds-col-xl-4 {
    width: 33.3333333333%;
  }
  .tds-col-xl-5 {
    width: 41.6666666667%;
  }
  .tds-col-xl-6 {
    width: 50%;
  }
  .tds-col-xl-7 {
    width: 58.3333333333%;
  }
  .tds-col-xl-8 {
    width: 66.6666666667%;
  }
  .tds-col-xl-9 {
    width: 75%;
  }
  .tds-col-xl-10 {
    width: 83.3333333333%;
  }
  .tds-col-xl-11 {
    width: 91.6666666667%;
  }
  .tds-col-xl-12 {
    width: 100%;
  }
}
@media (min-width: 90em) {
  .tds-col-xxl {
    flex: 1 0 0%;
  }
  .tds-col-xxl-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .tds-col-xxl-1 {
    width: 8.3333333333%;
  }
  .tds-col-xxl-2 {
    width: 16.6666666667%;
  }
  .tds-col-xxl-3 {
    width: 25%;
  }
  .tds-col-xxl-4 {
    width: 33.3333333333%;
  }
  .tds-col-xxl-5 {
    width: 41.6666666667%;
  }
  .tds-col-xxl-6 {
    width: 50%;
  }
  .tds-col-xxl-7 {
    width: 58.3333333333%;
  }
  .tds-col-xxl-8 {
    width: 66.6666666667%;
  }
  .tds-col-xxl-9 {
    width: 75%;
  }
  .tds-col-xxl-10 {
    width: 83.3333333333%;
  }
  .tds-col-xxl-11 {
    width: 91.6666666667%;
  }
  .tds-col-xxl-12 {
    width: 100%;
  }
}